# Asterisk Project : Asterisk 13 Function_JABBER_RECEIVE_res_xmpp

Created by wikibot on Aug 08, 2014

# JABBER_RECEIVE() - [res_xmpp]

### Synopsis

Reads XMPP messages.

### Description

Receives a text message on the given account from the buddy identified by jid and returns the contents.

Example: ${JABBER_RECEIVE(asterisk,bob@domain.com)} returns an XMPP message sent from bob@domain.com (or nothing in case of a time out), to the asterisk XMPP account configured in xmpp.conf.

### Syntax

    JABBER_RECEIVE(account,jid,timeout)

##### Arguments

- `account` - The local named account to listen on (specified in xmpp.conf)
- `jid` - Jabber ID of the buddy to receive message from. It can be a bare JID (username@domain) or a full JID (username@domain/resource).
- `timeout` - In seconds, defaults to `20`.

### See Also

- Asterisk 13 Function_JABBER_STATUS_res_xmpp
- Asterisk 13 Application_JabberSend_res_xmpp

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538